## org.eclipse.emf.exporter.util
Class ExporterUIUtil.CompositeEditorHelper

    java.lang.Object
      org.eclipse.emf.exporter.util.ExporterUIUtil.CompositeEditorHelper

All Implemented Interfaces:
  Listener

Direct Known Subclasses:
  ExporterUIUtil.TreeEditorHelper

Enclosing class:
  ExporterUIUtil

    public abstract static class ExporterUIUtil.CompositeEditorHelper

extends java.lang.Object
implements Listener

Field Summary
`protected Composite` `composite`
`protected ControlEditor` `compositeEditor`

Constructor Summary
`protected` `ExporterUIUtil.CompositeEditorHelper(Composite composite)`

Method Summary
`protected void` `compositeDisposed()`
`protected void` `compositeSelected(Event event)`
`protected ControlEditor` `createControlEditor(Composite composite)`
`protected abstract Control` `createEditorControl(Widget item)`
`protected void` `disposeOldEditorControl(Control control)`
`void` `handleEvent(Event event)`
`protected void` `setEditor(Control editorControl, Widget item)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### composite

    protected Composite composite

### compositeEditor

    protected ControlEditor compositeEditor

Constructor Detail

### ExporterUIUtil.CompositeEditorHelper

    protected ExporterUIUtil.CompositeEditorHelper(Composite composite)

Method Detail

### createControlEditor

    protected ControlEditor createControlEditor(Composite composite)

### handleEvent

    public void handleEvent(Event event)

  Specified by:
    `handleEvent` in interface `Listener`

### compositeSelected

    protected void compositeSelected(Event event)

### compositeDisposed

    protected void compositeDisposed()

### disposeOldEditorControl

    protected void disposeOldEditorControl(Control control)

### setEditor

    protected void setEditor(Control editorControl,
                             Widget item)

### createEditorControl

    protected abstract Control createEditorControl(Widget item)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.